#pragma semicolon 1

#include <sourcemod>
#include <sdktools>

#define PL_VERSION "1.0"

// GEHT NICHT

public Plugin:myinfo = 
{
	name = "DoD:S Open Spawn",
	author = "BenSib",
	description = "removes any invisible walls around spawn area",
	version = PL_VERSION,
	url = "http://www.dodsplugins.com"
}
new Handle:OSEnabled = INVALID_HANDLE;

new String:g_Kill[2][] = {"func_teamblocker", "func_team_wall"};

public OnPluginStart()
{
	CreateConVar("dod_openspawn_version", PL_VERSION, "DoD:S Player Collision", FCVAR_DONTRECORD|FCVAR_PLUGIN|FCVAR_SPONLY|FCVAR_REPLICATED|FCVAR_NOTIFY);
	SetConVarString(FindConVar("dod_openspawn_version"),PL_VERSION);
	OSEnabled = CreateConVar("dod_openspawn", "1", "<1/0> = enable/disable open spawn (default: 1)", FCVAR_PLUGIN);
}

public Action:Event_RoundStart(Handle:event,  const String:name[], bool:dontBroadcast) 
{
	if (GetConVarInt(OSEnabled) == 1)
	{
		for (new i = 0; i < sizeof(g_Kill); i++) 
		{
			new iKill     = -1;
			while ((iKill = FindEntityByClassname(iKill, g_Kill[i])) != -1) {
			AcceptEntityInput(iKill, "Kill");
			}
		}
	}
}

public Action:OnRoundActive(Handle:event, const String:name[], bool:dontBroadcast)
{
	decl String:mapname[256];
	GetCurrentMap(mapname, sizeof(mapname));
	if(StrContains(mapname, "dod_argentan", false) || StrContains(mapname, "dod_argentan@night_rc3", false))
	{
		new entid = -1;
		while((entid = FindEntityByClassname(entid, "func_teamblocker")) != -1)
		{
			RemoveEdict(entid);
			return Plugin_Continue;
		}
	}
	return Plugin_Continue;
}